System 4.0.0.0 System.Net.WebSockets.WebSocket System.IDisposable

Some of the classes and class elements in the namespace are supported on Windows 7, Windows Vista SP2, and Windows Server 2008. However, the only public implementations of client and server WebSockets are supported on Windows 8 and Windows Server 2012. The class elements in the namespace that are supported on Windows 7, Windows Vista SP2, and Windows Server 2008 are abstract class elements. This allows an application developer to inherit and extend these abstract class classes and class elements with an actual implementation of client WebSockets.

Provides a client for connecting to WebSocket services.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of the class.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void To be added.

  Aborts the connection and cancels any pending IO operations.

- Method
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Runtime.CompilerServices.AsyncStateMachine(typeof(System.Net.WebSockets.ClientWebSocket/<CloseAsync>c__async1))
  System.Threading.Tasks.Task `` `` ``

  This operation will not block. The returned object will complete after the instance is closed.

  Close the instance as an asynchronous operation.

  Returns .

  The task object representing the asynchronous operation.

  The WebSocket close status. A description of the close status. A cancellation token used to propagate notification that this operation should be canceled.
- Method
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Runtime.CompilerServices.AsyncStateMachine(typeof(System.Net.WebSockets.ClientWebSocket/<CloseOutputAsync>c__async2))
  System.Threading.Tasks.Task `` `` ``

  This operation will not block. The returned object will complete after the output on the instance is closed.

  Close the output for the instance as an asynchronous operation.

  Returns .

  The task object representing the asynchronous operation.

  The WebSocket close status. A description of the close status. A cancellation token used to propagate notification that this operation should be canceled.
- Property
  4.0.0.0
  System.Nullable<System.Net.WebSockets.WebSocketCloseStatus> To be added. To be added.

  Gets the reason why the close handshake was initiated on instance.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets a description of the reason why the instance was closed.

- Method
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Runtime.CompilerServices.AsyncStateMachine(typeof(System.Net.WebSockets.ClientWebSocket/<ConnectAsync>c__async0))
  System.Threading.Tasks.Task `` ``

  The method initiates the WebSocket handshake with a remote network destination, and then negotiates the sub-protocol.

  For plain WebSocket connections, use the ws:// scheme in the uri. For secure WebSocket connections over TLS/SSL, use the wss:// scheme.

  This operation will not block. The returned object will complete after the connect request on the instance has completed.

  Connect to a WebSocket server as an asynchronous operation.

  Returns .

  The task object representing the asynchronous operation.

  The URI of the WebSocket server to connect to. A cancellation token used to propagate notification that the operation should be canceled.
- Method
  4.0.0.0
  System.Void To be added.

  Releases the unmanaged resources used by the instance.

- Property
  4.0.0.0
  System.Net.WebSockets.ClientWebSocketOptions To be added. To be added.

  Gets the WebSocket options for the instance.

- Method
  4.0.0.0
  System.Threading.Tasks.Task<System.Net.WebSockets.WebSocketReceiveResult> `` ``

  This operation will not block. The returned object will complete after the receive request on the instance has completed.

  Receive data on as an asynchronous operation.

  Returns .

  The task object representing the asynchronous operation.

  The buffer to receive the response. A cancellation token used to propagate notification that this operation should be canceled.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  This operation will not block. The returned object will complete after the send request on the instance has completed.

  Send data on as an asynchronous operation.

  Returns .

  The task object representing the asynchronous operation.

  The buffer containing the message to be sent. Specifies whether the buffer is clear text or in a binary format. Specifies whether this is the final asynchronous send. Set to true if this is the final send; false otherwise. A cancellation token used to propagate notification that this operation should be canceled.
- Property
  4.0.0.0
  System.Net.WebSockets.WebSocketState To be added. To be added.

  Get the WebSocket state of the instance.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the supported WebSocket sub-protocol for the instance.